
Katello - Bug #6252

Bulk actions search for errata does not work

06/17/2014 03:11 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1087079 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1087079

Description of problem:

Got to Hosts/Registered Systems and select some systems.

Choose Bulk Actions

Go to Errata

Search for an erratum

- I tried to find all RHSA errata, for instance, so I plugged in rhsa, rhsa*, RHSA, RHSA*, and every other combination of wildcards I

could think of. Nothing shows up

- Then I tried by package name. I know there's an update for dmidecode, so I plugged in dmidecode, dmidecode*, dmidecode-* and

other combinations. Nothing shows up.

It appears that all you can do is scroll down and check the box next to errata. Search does not appear to work.

Version-Release number of selected component (if applicable):

[root@finn ~]# rpm -qa | egrep "pulp|katello|candlepin|foreman"| sort

candlepin-0.9.7-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.7-1.el6_5.noarch

candlepin-tomcat6-0.9.7-1.el6_5.noarch

createrepo-0.9.9-21.2.pulp.el6sat.noarch

finn.tc.redhat.com-foreman-client-1.0-1.noarch

finn.tc.redhat.com-foreman-proxy-1.0-1.noarch

foreman-1.5.0.18-1.el6sat.noarch

foreman-postgresql-1.5.0.18-1.el6sat.noarch

foreman-proxy-1.5.5-1.el6sat.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

katello-1.5.0-19.el6sat.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.33-1.el6sat.noarch

m2crypto-0.21.1.pulp-8.el6sat.x86_64

mod_wsgi-3.4-1.pulp.el6sat.x86_64

pulp-katello-plugins-0.2-1.el6sat.noarch

pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch

pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch

pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-selinux-2.3.1-0.4.beta.el6sat.noarch

pulp-server-2.3.1-0.4.beta.el6sat.noarch

python-isodate-0.5.0-1.pulp.el6sat.noarch

python-pulp-bindings-2.3.1-0.4.beta.el6sat.noarch

python-pulp-common-2.3.1-0.4.beta.el6sat.noarch

05/18/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1087079


python-pulp-puppet-common-2.3.1-0.4.beta.el6sat.noarch

python-pulp-rpm-common-2.3.1-0.4.beta.el6sat.noarch

ruby193-rubygem-foreman-tasks-0.5.1-2.el6sat.noarch

ruby193-rubygem-katello-1.5.0-33.el6sat.noarch

rubygem-foreman_api-0.1.11-4.el6sat.noarch

rubygem-hammer_cli_foreman-0.1.0-6.el6sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch

rubygem-hammer_cli_katello-0.0.3-15.el6sat.noarch

How reproducible:

As above

Steps to Reproduce:

As above

Actual results:

No search results

Expected results:

Search results.

Additional info:

Associated revisions

Revision 559cd289 - 06/17/2014 07:45 PM - Walden Raines

Fixes #6252/BZ1087079 - default to errata_id on bulk errata searches.

Revision 68c6b334 - 06/17/2014 08:40 PM - Walden Raines

Merge pull request #4291 from waldenraines/6252

Fixes #6252/BZ1087079 - default to errata_id on bulk errata searches.

History

#1 - 06/17/2014 03:11 PM - Walden Raines

- Status changed from New to Assigned

- Triaged set to No

#2 - 06/17/2014 07:46 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4291

#3 - 06/17/2014 08:53 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:559cd289d543882f35404c316121b8f42c10de13.

#4 - 06/19/2014 01:06 AM - Eric Helms

- Target version set to 48

- Difficulty set to easy

- Triaged changed from No to Yes

#5 - 08/22/2014 08:35 AM - Eric Helms

- translation missing: en.field_release set to 13
